<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <th:block th:fragment="new-property">
    <form class="ui form" id="workitemproperty-form" method="post" th:object="${workitemproperty}" th:action="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_WORKITEMS_PROPERTY_SAVE}}">
      <input type="hidden" th:field="${workitemproperty.pk.workitem}" />
      <input type="hidden" th:field="${workitemproperty.pk.property}" />
      <h2 class="ui dividing header">
        <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_PROPERTIES}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
        <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PROPERTY}}"></span>
      </h2>
      <div class="fields">
        <th:block th:replace="common/fragments/input :: dropdownlist(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PROPERTY_GROUP}}, 
                                                                     field = 'pk.property.id',   
                                                                     options = ${properties},  
                                                                     optionfield = 'item.name',  
                                                                     required = true,  
                                                                     columnsize = 'sixteen wide',
                                                                     emptyoption = true  
                                                                     )" />
      </div>
      <div class="fields">
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PROPERTY_VALUE}}, 
                                                               field = 'value',   
                                                               required = true,   
                                                               maxlength = 50,   
                                                               placeholder = 'Property Value',  
                                                               columnsize = 'sixteen wide'  
                                                               )" />
      </div>
      <br />
      <th:block
        th:replace="common/fragments/form :: actionbuttons(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_BACK},
                                                                        	icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_BACK},  
                                                                        	icon1url =  ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_WORKITEMS_UPDATE}   
                                                                        			   +${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_SLASH} + ${workitemproperty.pk.workitem.id}  
                                                                        			   +${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_PROPERTIES},  
                                                                        	icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SAVE},  
                                                                        	icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SAVE},  
                                                                        	icon2url = ''  
                                                                        	)" />
    </form>
  </th:block>
</body>
</html>
